Bug 1928958 (CVE-2021-20243)

Summary: CVE-2021-20243 ImageMagick: Division by zero in GetResizeFilterWeight in MagickCore/resize.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jhorak, mike, pahan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ImageMagick 7.0.10-62 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in MagickCore/resize.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. The highest threat from this vulnerability is to system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-18 19:03:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1932009, 1932010    
Bug Blocks: 1928960, 1928961    

Description Pedro Sampaio 2021-02-15 21:04:54 UTC
A flaw was found in ImageMagick in MagickCore/resize.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. This would most likely lead to an impact to application availability, but could potentially cause other problems related to undefined behavior.

References:

https://github.com/ImageMagick/ImageMagick/pull/3193

Comment 1 RaTasha Tillery-Smith 2021-02-16 14:38:21 UTC
External References:

https://github.com/ImageMagick/ImageMagick/pull/3193

Comment 2 Todd Cullum 2021-02-17 23:54:14 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 6 and 7. To learn more about Red Hat Enterprise Linux support scope, please see https://access.redhat.com/support/policy/updates/errata/ .

Comment 4 Product Security DevOps Team 2021-02-18 19:03:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20243

Comment 5 Todd Cullum 2021-02-23 18:59:06 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1932009]
Affects: fedora-all [bug 1932010]